## libmstoolkit 77.0.0

=== Makefile ===
#Set your paths here.
ZLIB_PATH = ./src/zLib-1.2.5
MZPARSER_PATH = ./src/mzParser
EXPAT_PATH = ./src/expat-2.0.1
SQLITE_PATH = ./src/sqlite-3.7.7.1
MST_PATH = ./src/MSToolkit

HEADER_PATH = ./include

MZPARSER = mzp.MSNumpress.o mzp.mzp_base64.o mzp.BasicSpectrum.o mzp.mzParser.o mzp.RAMPface.o mzp.saxhandler.o mzp.saxmzmlhandler.o \
	mzp.saxmzxmlhandler.o mzp.Czran.o mzp.mz5handler.o mzp.mzpMz5Config.o mzp.mzpMz5Structs.o mzp.BasicChromatogram.o mzp.PWIZface.o
MZPARSERLITE = mzp.MSNumpress.o mzp.mzp_base64_lite.o mzp.BasicSpectrum_lite.o mzp.mzParser_lite.o mzp.RAMPface_lite.o mzp.saxhandler_lite.o mzp.saxmzmlhandler_lite.o \
  mzp.saxmzxmlhandler_lite.o mzp.Czran_lite.o mzp.mz5handler_lite.o mzp.mzpMz5Config_lite.o mzp.mzpMz5Structs_lite.o mzp.BasicChromatogram_lite.o mzp.PWIZface_lite.o
EXPAT = xmlparse.o xmlrole.o xmltok.o
ZLIB = adler32.o compress.o crc32.o deflate.o inffast.o inflate.o infback.o inftrees.o trees.o uncompr.o zutil.o
MSTOOLKIT = Spectrum.o MSObject.o
READER = MSReader.o
READERLITE = MSReaderLite.o
SQLITE = sqlite3.o 

CC = g++
GCC = gcc
NOSQLITE = -D_NOSQLITE

CFLAGS = -O3 -static -I. -I$(HEADER_PATH) -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -DHAVE_EXPAT_CONFIG_H
LIBS = -lm -lpthread -ldl

all:  $(ZLIB) $(MZPARSER) $(MZPARSERLITE) $(MSTOOLKIT) $(READER) $(READERLITE) $(EXPAT) $(SQLITE)
	ar rcs libmstoolkitlite.a $(ZLIB) $(EXPAT) $(MZPARSERLITE) $(MSTOOLKIT) $(READERLITE)
	ar rcs libmstoolkit.a $(ZLIB) $(EXPAT) $(MZPARSER) $(MSTOOLKIT) $(READER) $(SQLITE)
#	$(CC) $(CFLAGS) MSTDemo.cpp -L. -lmstoolkitlite -o MSTDemo
	$(CC) $(CFLAGS) -I./include MSSingleScan/MSSingleScan.cpp -L. -lmstoolkitlite -o msSingleScan
#	$(CC) $(CFLAGS) MSConvertFile.cpp -L. -lmstoolkitlite -o MSConvertFile

lite: $(ZLIB) $(MZPARSERLITE) $(MSTOOLKIT) $(READERLITE) $(EXPAT)
	ar rcs libmstoolkitlite.a $(ZLIB) $(EXPAT) $(MZPARSERLITE) $(MSTOOLKIT) $(READERLITE)
	$(CC) $(CFLAGS) -I./include MSSingleScan/MSSingleScan.cpp -L. -lmstoolkitlite -o msSingleScan

clean:
	rm -f *.o libmstoolkitlite.a libmstoolkit.a msSingleScan

# zLib objects

adler32.o : $(ZLIB_PATH)/adler32.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/adler32.c -c

compress.o : $(ZLIB_PATH)/compress.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/compress.c -c

crc32.o : $(ZLIB_PATH)/crc32.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/crc32.c -c

deflate.o : $(ZLIB_PATH)/deflate.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/deflate.c -c

inffast.o : $(ZLIB_PATH)/inffast.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/inffast.c -c

inflate.o : $(ZLIB_PATH)/inflate.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/inflate.c -c

infback.o : $(ZLIB_PATH)/infback.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/infback.c -c

inftrees.o : $(ZLIB_PATH)/inftrees.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/inftrees.c -c

trees.o : $(ZLIB_PATH)/trees.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/trees.c -c

uncompr.o : $(ZLIB_PATH)/uncompr.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/uncompr.c -c

zutil.o : $(ZLIB_PATH)/zutil.c
	$(GCC) $(CFLAGS) $(ZLIB_PATH)/zutil.c -c



#mzParser objects
mzp.%.o : $(MZPARSER_PATH)/%.cpp
	$(CC) $(CFLAGS) $(MZ5) $< -c -o $@

#mzParserLite objects
mzp.%_lite.o : $(MZPARSER_PATH)/%.cpp
	$(CC) $(CFLAGS) $< -c -o $@


#expat objects
xmlparse.o : $(EXPAT_PATH)/xmlparse.c
	$(GCC) $(CFLAGS) $(EXPAT_PATH)/xmlparse.c -c
xmlrole.o : $(EXPAT_PATH)/xmlrole.c
	$(GCC) $(CFLAGS) $(EXPAT_PATH)/xmlrole.c -c
xmltok.o : $(EXPAT_PATH)/xmltok.c
	$(GCC) $(CFLAGS) $(EXPAT_PATH)/xmltok.c -c



#SQLite object
sqlite3.o : $(SQLITE_PATH)/sqlite3.c
	$(GCC) $(CFLAGS) $(SQLITE_PATH)/sqlite3.c -c




#MSToolkit objects

Spectrum.o : $(MST_PATH)/Spectrum.cpp
	$(CC) $(CFLAGS) $(MST_PATH)/Spectrum.cpp -c

MSReader.o : $(MST_PATH)/MSReader.cpp
	$(CC) $(CFLAGS) $(MZ5) $(MST_PATH)/MSReader.cpp -c

MSReaderLite.o : $(MST_PATH)/MSReader.cpp
	$(CC) $(CFLAGS) $(NOSQLITE) $(MST_PATH)/MSReader.cpp -c -o MSReaderLite.o

MSObject.o : $(MST_PATH)/MSObject.cpp
	$(CC) $(CFLAGS) $(MST_PATH)/MSObject.cpp -c

=== debian/changelog ===
libmstoolkit (77.0.0-1) unstable; urgency=medium

  * New upstream version;
  
  * Fix debian/copyright to reflect source modifications in upstream and
    to fix lintian-detected glitches;
    debian/control & debian copyright: change the projet home website url.

  * Better cleaning up of the source tarball (libs not required, .svn and
    other cruft);
    
  * Still closing the ITP bug (Closes: #763747).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Jan 2015 10:25:07 +0100

libmstoolkit (73~svn-3) UNRELEASED; urgency=medium

  * remove the shlibs.local file.
  * fix problem with debian/copyright (license ZLib was not detected
    properly, with a lintian warning) and remove the corresponding lintian
    override.
  * Still closing the ITP bug (Closes: #763747);

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Nov 2014 16:24:42 +0100

libmstoolkit (73~svn-2) unstable; urgency=medium

  * Fixes to the debian/copyright file so as to document some shipped
    include files;
  
  * Add source lintian overrides file.
  
  * Initial packaging (Closes: #763747);
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Nov 2014 11:27:08 +0100

libmstoolkit (73~svn-1) unstable; urgency=low
  
  * Initial packaging (Closes: #763747);
  
  * The main modification is related to the Makefile which has been
    changed so as to produce first-class citizen UNIX/LINUX/POSIX shared
    object libraries.
  
 -- Filippo Rusconi <lopippo@debian.org>  Thu, 02 Oct 2014 12:40:10 +0200

=== debian/control ===
Source: libmstoolkit
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9.2), 
               dpkg-dev (>= 1.16.1~),
               libzip-dev (>= 0.11.2),
               libhdf5-dev (>=1.8.13),
               libsqlite3-dev (>= 3.8.6),
               libexpat1-dev (>= 2.1.0),
               docbook-to-man
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/mhoopmann/mstoolkit
Vcs-Git: git://anonscm.debian.org/debichem/packages/libmstoolkit.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/libmstoolkit.git

Package: libmstoolkit-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, 
         libmstoolkit77 (= ${binary:Version}),
         libzip-dev (>= 0.11.2),
         libhdf5-dev (>=1.8.13),
         libsqlite3-dev (>= 3.8.6),
         libexpat1-dev (>= 2.1.0)         
Conflicts: libmstoolkit73
Description: libraries for manipulating mass spectrometry data - dev files
 The MSToolkit is a light-weight C++ library for reading, writing, and
 manipulating mass spectrometry data. The MSToolkit is easily linked
 to virtually any C++ algorithm for simple, fast file reading and
 analysis.
 .
 Supported File Formats:
 -----------------------
   - read-only mzML including internal compression (zlib and numpress)
     and external compression (.mzML.gz) read-only;
   - read-only mzXML including internal compression (zlib) and external
     compression (.mzXML.gz)
   - read/write mgf, ms1, ms2, bms1, bms2, cms1, cms2
 .
 Simple Interface:
 ------------------       
   - Open any file format from a single function call;
   - Store any  spectrum in a simple, comprehensive data structure;
   - Sequential or random-access file reading.


Package: libmstoolkit77
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Conflicts: libmstoolkit73
Description: libraries for manipulating mass spectrometry data - runtime
 The MSToolkit is a light-weight C++ library for reading, writing, and
 manipulating mass spectrometry data. The MSToolkit is easily linked
 to virtually any C++ algorithm for simple, fast file reading and
 analysis.
 .
 Supported File Formats:
 -----------------------
   - read-only mzML including internal compression (zlib and numpress)
     and external compression (.mzML.gz) read-only;
   - read-only mzXML including internal compression (zlib) and external
     compression (.mzXML.gz)
   - read/write mgf, ms1, ms2, bms1, bms2, cms1, cms2
 .
 Simple Interface:
 ------------------       
   - Open any file format from a single function call;
   - Store any  spectrum in a simple, comprehensive data structure;
   - Sequential or random-access file reading.
 .
 This package ships these libraries:
 . 
   - libmstoolkit;
   - libmstoolkitlite;


Package: libmstoolkit77-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmstoolkit77 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmstoolkit73
Description: libraries for manipulating mass spectrometry data - debug symbols
 The MSToolkit is a light-weight C++ library for reading, writing, and
 manipulating mass spectrometry data. The MSToolkit is easily linked
 to virtually any C++ algorithm for simple, fast file reading and
 analysis.
 .
 Supported File Formats:
 -----------------------
   - read-only mzML including internal compression (zlib and numpress)
     and external compression (.mzML.gz) read-only;
   - read-only mzXML including internal compression (zlib) and external
     compression (.mzXML.gz)
   - read/write mgf, ms1, ms2, bms1, bms2, cms1, cms2
 .
 Simple Interface:
 ------------------       
   - Open any file format from a single function call;
   - Store any  spectrum in a simple, comprehensive data structure;
   - Sequential or random-access file reading.
 .
 This package provides the debugging symbols for libmstoolkit and
 libmstoolkitlite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


DEBIAN_DIR = $(CURDIR)/debian
BUILD_DIR = $(CURDIR)

LIB_PACKAGE = libmstoolkit77
VERSION = 77.0.0
LIB_VERSION = $(VERSION)

# This is the only method that actually worked...
# Combined with the CFLAGS += <new flags> in the Makefile.
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_clean:
	make clean
	rm -f libmstoolkit.3

manpage:
	docbook-to-man debian/libmstoolkit.sgml > debian/libmstoolkit.3

override_dh_auto_build: manpage
	make solib
	make arlib

override_dh_makeshlibs:
	mkdir -p $(DEBIAN_DIR)/$(LIB_PACKAGE)/DEBIAN
	dpkg-gensymbols -p$(LIB_PACKAGE) \
	-v$(LIB_VERSION) \
	-c2 -d \
	-e$(BUILD_DIR)/libmstoolkitlite.so.$(LIB_VERSION) \
	-e$(BUILD_DIR)/libmstoolkit.so.$(LIB_VERSION) \
	-O$(DEBIAN_DIR)/$(LIB_PACKAGE)/DEBIAN/symbols

	dh_makeshlibs -a

override_dh_strip:
	dh_strip --dbg-package=$(LIB_PACKAGE)-dbg -a

## libmstoolkit 82

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #Set your paths here.
-ZLIB_PATH = ./src/zLib-1.2.5
+ZLIB_PATH = ./src/zlib-1.2.8
 MZPARSER_PATH = ./src/mzParser
-EXPAT_PATH = ./src/expat-2.0.1
+EXPAT_PATH = ./src/expat-2.2.0
 SQLITE_PATH = ./src/sqlite-3.7.7.1
 MST_PATH = ./src/MSToolkit
 
@@ -13,7 +13,7 @@
   mzp.saxmzxmlhandler_lite.o mzp.Czran_lite.o mzp.mz5handler_lite.o mzp.mzpMz5Config_lite.o mzp.mzpMz5Structs_lite.o mzp.BasicChromatogram_lite.o mzp.PWIZface_lite.o
 EXPAT = xmlparse.o xmlrole.o xmltok.o
 ZLIB = adler32.o compress.o crc32.o deflate.o inffast.o inflate.o infback.o inftrees.o trees.o uncompr.o zutil.o
-MSTOOLKIT = Spectrum.o MSObject.o
+MSTOOLKIT = Spectrum.o MSObject.o mzMLWriter.o pepXMLWriter.o
 READER = MSReader.o
 READERLITE = MSReaderLite.o
 SQLITE = sqlite3.o 
@@ -116,5 +116,13 @@
 MSObject.o : $(MST_PATH)/MSObject.cpp
 	$(CC) $(CFLAGS) $(MST_PATH)/MSObject.cpp -c
 
+mzMLWriter.o : $(MST_PATH)/mzMLWriter.cpp
+	$(CC) $(CFLAGS) $(MST_PATH)/mzMLWriter.cpp -c
+	
+pepXMLWriter.o : $(MST_PATH)/pepXMLWriter.cpp
+	$(CC) $(CFLAGS) $(MST_PATH)/pepXMLWriter.cpp -c
 
 
+
+
+

=== debian/changelog ===
libmstoolkit (82-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix debian/rules for the changed lib package name.

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Mar 2024 19:14:33 +0000

libmstoolkit (82-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062426

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:16:50 +0000

libmstoolkit (82-7) unstable; urgency=low

  * Fix the VCS urls to point to the salsa git repos.

  * Standards-Version: 4.5.0.
  * Build-Depends: debhelper-compat (= 12),

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Jun 2020 13:25:37 +0200

libmstoolkit (82-6) unstable; urgency=medium

  * Fixing the linker command line such that the libs appear at the end of
    the link command. Thanks to Gianfranco Costamagna
    <locutusofborg@debian.org> for the patch.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 05 Mar 2018 15:52:53 +0100

libmstoolkit (82-5) UNRELEASED; urgency=medium

  * Fixing the dependencies.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 17:34:08 +0100

libmstoolkit (82-4) unstable; urgency=medium

  * Fix the problem with linking MSSingleScan binary. And add it to the
    shipped material by creating a new binary package, libmstoolkit-tools.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 17:34:08 +0100

libmstoolkit (82-3) unstable; urgency=medium

  * Fix the dpkg-gensymbols command line to produce a correct symbols file.
    Thanks to Adrian Bunk <bunk@debian.org> for reporting the bug 
    (Closes: #891805).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 09:13:48 +0100

libmstoolkit (82-2) unstable; urgency=medium

  * Fix the missing license/copyright stanzas from a number of files. The
    stanzas have been added by Michael Hoopmann as a response to a private
    mail request by me. The files were modified on GitHub. I added these license
    stanzas to the files in the form of a patch. The version of the library
    was not updated and probably won't for some time. This is a compromise
    that should be acceptable.

  * Update debian/copyright for the MSSingleScan.cpp file and all the others
    that got new license notices in the patch above.

  * debian/compat 11.

  * mv source.lintian-overrides source/lintian-overrides.

  * debian/control: Standards-Version: 4.1.3

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 26 Feb 2018 20:41:29 +0100

libmstoolkit (82-1) unstable; urgency=medium

  * New upstream version. Fixes problems I reported on the github site.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 01 Dec 2017 15:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: libmstoolkit
+Section: libs
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9.2), 
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
-               libzip-dev (>= 0.11.2),
-               libhdf5-dev (>=1.8.13),
+							 zlib1g-dev (>=1:1.2.8),
                libsqlite3-dev (>= 3.8.6),
                libexpat1-dev (>= 2.1.0),
                docbook-to-man
-Standards-Version: 3.9.6
-Section: libs
+Standards-Version: 4.5.0
 Homepage: https://github.com/mhoopmann/mstoolkit
-Vcs-Git: git://anonscm.debian.org/debichem/packages/libmstoolkit.git
-Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/libmstoolkit.git
+Vcs-Git: https://salsa.debian.org/debichem-team/libmstoolkit.git
+Vcs-Browser: https://salsa.debian.org/debichem-team/libmstoolkit
 
 Package: libmstoolkit-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, 
-         libmstoolkit77 (= ${binary:Version}),
-         libzip-dev (>= 0.11.2),
-         libhdf5-dev (>=1.8.13),
+         libmstoolkit82t64 (= ${binary:Version}),
+				 zlib1g-dev (>=1:1.2.8),
          libsqlite3-dev (>= 3.8.6),
          libexpat1-dev (>= 2.1.0)         
-Conflicts: libmstoolkit73
+Conflicts: libmstoolkit77
 Description: libraries for manipulating mass spectrometry data - dev files
  The MSToolkit is a light-weight C++ library for reading, writing, and
  manipulating mass spectrometry data. The MSToolkit is easily linked
@@ -46,11 +44,14 @@
    - Sequential or random-access file reading.
 
 
-Package: libmstoolkit77
+Package: libmstoolkit82t64
+Provides: ${t64:Provides}
+Replaces: libmstoolkit82
+Breaks: libmstoolkit82 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, 
          ${misc:Depends}
-Conflicts: libmstoolkit73
+Conflicts: libmstoolkit77
 Description: libraries for manipulating mass spectrometry data - runtime
  The MSToolkit is a light-weight C++ library for reading, writing, and
  manipulating mass spectrometry data. The MSToolkit is easily linked
@@ -77,14 +78,13 @@
    - libmstoolkitlite;
 
 
-Package: libmstoolkit77-dbg
-Section: debug
-Priority: extra
+Package: libmstoolkit-tools
+Section: science
 Architecture: any
-Depends: libmstoolkit77 (= ${binary:Version}),
+Depends: libmstoolkit82t64 (= ${binary:Version}),
+         ${shlibs:Depends}, 
          ${misc:Depends}
-Conflicts: libmstoolkit73
-Description: libraries for manipulating mass spectrometry data - debug symbols
+Description: libraries for manipulating mass spectrometry data - tools
  The MSToolkit is a light-weight C++ library for reading, writing, and
  manipulating mass spectrometry data. The MSToolkit is easily linked
  to virtually any C++ algorithm for simple, fast file reading and
@@ -104,5 +104,5 @@
    - Store any  spectrum in a simple, comprehensive data structure;
    - Sequential or random-access file reading.
  .
- This package provides the debugging symbols for libmstoolkit and
- libmstoolkitlite.
+ This package ships a MS/MS spectrum loader tool.
+

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 DEBIAN_DIR = $(CURDIR)/debian
 BUILD_DIR = $(CURDIR)
 
-LIB_PACKAGE = libmstoolkit77
-VERSION = 77.0.0
-LIB_VERSION = $(VERSION)
+PACKAGE_VERSION = 82
+LIB_PACKAGE = libmstoolkit$(PACKAGE_VERSION)t64
+LIB_VERSION = $(PACKAGE_VERSION).0.0
 
 # This is the only method that actually worked...
 # Combined with the CFLAGS += <new flags> in the Makefile.
@@ -30,19 +30,15 @@
 	docbook-to-man debian/libmstoolkit.sgml > debian/libmstoolkit.3
 
 override_dh_auto_build: manpage
-	make solib
-	make arlib
+	make all
 
 override_dh_makeshlibs:
 	mkdir -p $(DEBIAN_DIR)/$(LIB_PACKAGE)/DEBIAN
 	dpkg-gensymbols -p$(LIB_PACKAGE) \
-	-v$(LIB_VERSION) \
+	-v$(PACKAGE_VERSION) \
 	-c2 -d \
 	-e$(BUILD_DIR)/libmstoolkitlite.so.$(LIB_VERSION) \
 	-e$(BUILD_DIR)/libmstoolkit.so.$(LIB_VERSION) \
 	-O$(DEBIAN_DIR)/$(LIB_PACKAGE)/DEBIAN/symbols
 
 	dh_makeshlibs -a
-
-override_dh_strip:
-	dh_strip --dbg-package=$(LIB_PACKAGE)-dbg -a
